<div class="">
  <p-confirmDialog [breakpoints]="{'960px': '75vw', '640px': '100vw'}" [style]="{width: '50vw'}">
  </p-confirmDialog>
  <p-toast></p-toast>

  <p-menubar [model]="items" styleClass="navbar">
    <ng-template pTemplate="start">
      <img src="assets/images/doku-commerce.svg" height="40" class="mr-2">
    </ng-template>
    <ng-template pTemplate="end">
      <div class="flex gap-2 align-items-center">
        <button *ngIf="!accessToken && currentRoute != '/login'" pButton pRipple type="button" label="Login" routerLink="/login" class="p-button-outlined"></button>
        
        <button *ngIf="accessToken && currentRoute != '/login'" pButton pRipple type="button" label="Logout" class="p-button-outlined"></button>
  
        <button *ngIf="accessToken && currentRoute != '/login'" pButton pRipple routerLink="/cart" type="button" icon="pi pi-shopping-cart"></button>

        <button *ngIf="accessToken && currentRoute != '/login'" pButton pRipple routerLink="/transaction" type="button" icon="pi pi-list"></button>
      </div>      
    </ng-template>
  </p-menubar>
</div>


<router-outlet></router-outlet>
